Bug 103499 - lang. selection of man based on env. variable is not POSIX-compliant
Summary: lang. selection of man based on env. variable is not POSIX-compliant
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-01 08:44 UTC by Jungshik Shin
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version: 1.5m2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 00:47:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jungshik Shin 2003-09-01 08:44:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
To determine the language of a man page to show, man should refer to
LC_ALL,LC_MESSAGES and LANG in turn. However, currently, it ignores LC_ALL and
LC_MESSAGES but always refers to LANG. 

Version-Release number of selected component (if applicable):
man-1.5k-6

How reproducible:
Always

Steps to Reproduce:
1.set LC_ALL=en_US.UTF-8 and LANG to fr_FR.UTF-8
2.try 'man command'
3.
    

Actual Results:  French man page is displayed

Expected Results:  English man page is expected.


Additional info:

POSIX /Single Unix Spec is very clear that LANG has the lowest precedence when
determining the locale while LC_ALL has the highest with LC_* (other than ALL)
taking the place between LANG and LC_ALL. 

'man' should follow that. I may have reported this to the upstream maintainer(or
may not have).

Comment 1 Eido Inoue 2004-01-27 00:47:05 UTC
fixed in 1.5m2-1


Note You need to log in before you can comment on or make changes to this bug.